"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
const catchMiddleware = function (errorHandler) {
  return function (store) {
    return function (next) {
      return function (action) {
        try {
          return next(action);
        } catch (error) {
          errorHandler(error, store.getState);
          return error;
        }
      };
    };
  };
};

exports.default = catchMiddleware;